IF OBJECT_ID('dbo.sp_fco_baja_administradora') IS NOT NULL
    DROP PROCEDURE dbo.sp_fco_baja_administradora
GO
CREATE PROCEDURE dbo.sp_fco_baja_administradora
(	
    @pch_codigo 	char(10),
    @pch_tipo   	char(3),
	@pch_agrupacion char(10)
)
AS
BEGIN
    BEGIN TRAN

	DELETE fco_administradoras
	WHERE codigo = @pch_codigo
	  AND   tipo = @pch_tipo
	
    EXEC sp_baja_datos_agr_trab @pch_agrupacion, @pch_codigo

    IF @@ERROR <> 0
        ROLLBACK TRAN
    ELSE
        COMMIT TRAN
END
GO
GRANT EXECUTE ON sp_fco_baja_administradora TO PUBLIC
GO
